ENet v1.3.13 Reliable UDP networking library

- Home
- Features
- Downloads
- Installation
- Tutorial
- Mailing List
- IRC Channel
- FAQ
- License
- Documentation

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
ENet socket functions

## Functions
ENetSocket | enet_socket_accept (ENetSocket, ENetAddress *)
int | enet_socket_bind (ENetSocket, const ENetAddress *)
int | enet_socket_connect (ENetSocket, const ENetAddress *)
ENetSocket | enet_socket_create (ENetSocketType)
void | enet_socket_destroy (ENetSocket)
int | enet_socket_get_address (ENetSocket, ENetAddress *)
int | enet_socket_get_option (ENetSocket, ENetSocketOption, int *)
int | enet_socket_listen (ENetSocket, int)
int | enet_socket_receive (ENetSocket, ENetAddress *, ENetBuffer *, size_t)
int | enet_socket_send (ENetSocket, const ENetAddress *, const ENetBuffer *, size_t)
int | enet_socket_set_option (ENetSocket, ENetSocketOption, int)
int | enet_socket_shutdown (ENetSocket, ENetSocketShutdown)
int | enet_socket_wait (ENetSocket, enet_uint32 *, enet_uint32)
int | enet_socketset_select (ENetSocket, ENetSocketSet *, ENetSocketSet *, enet_uint32)

## Detailed Description

## Function Documentation

ENetSocket enet_socket_accept | ( | ENetSocket | ,
|  | ENetAddress * |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_bind | ( | ENetSocket | ,
|  | const ENetAddress * |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_connect | ( | ENetSocket | ,
|  | const ENetAddress * |
| ) |  |

`#include <include/enet/enet.h>`

ENetSocket enet_socket_create | ( | ENetSocketType |  | ) |

`#include <include/enet/enet.h>`

void enet_socket_destroy | ( | ENetSocket |  | ) |

`#include <include/enet/enet.h>`

int enet_socket_get_address | ( | ENetSocket | ,
|  | ENetAddress * |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_get_option | ( | ENetSocket | ,
|  | ENetSocketOption | ,
|  | int * |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_listen | ( | ENetSocket | ,
|  | int |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_receive | ( | ENetSocket | ,
|  | ENetAddress * | ,
|  | ENetBuffer * | ,
|  | size_t |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_send | ( | ENetSocket | ,
|  | const ENetAddress * | ,
|  | const ENetBuffer * | ,
|  | size_t |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_set_option | ( | ENetSocket | ,
|  | ENetSocketOption | ,
|  | int |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_shutdown | ( | ENetSocket | ,
|  | ENetSocketShutdown |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socket_wait | ( | ENetSocket | ,
|  | enet_uint32 * | ,
|  | enet_uint32 |
| ) |  |

`#include <include/enet/enet.h>`

int enet_socketset_select | ( | ENetSocket | ,
|  | ENetSocketSet * | ,
|  | ENetSocketSet * | ,
|  | enet_uint32 |
| ) |  |

`#include <include/enet/enet.h>`